import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { DevopsNginxConf } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-09 15:11
 */
interface DevopsNginxConfCU extends ConditionUtil<DevopsNginxConfCU> {
    ID: FieldUtil<DevopsNginxConfCU>;
    NAME: FieldUtil<DevopsNginxConfCU>;
    INIT_CONF_FILE: FieldUtil<DevopsNginxConfCU>;
    PROD_CONF_FILE: FieldUtil<DevopsNginxConfCU>;
    REMARK: FieldUtil<DevopsNginxConfCU>;
    CREATE_TIME: FieldUtil<DevopsNginxConfCU>;
    UPDATE_TIME: FieldUtil<DevopsNginxConfCU>;
}
declare class DevopsNginxConfMU extends TableUtilImpl<DevopsNginxConfCU, DevopsNginxConf> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): DevopsNginxConfCU;
    static get ID(): FieldUtil<DevopsNginxConfCU>;
    static get NAME(): FieldUtil<DevopsNginxConfCU>;
    static get INIT_CONF_FILE(): FieldUtil<DevopsNginxConfCU>;
    static get PROD_CONF_FILE(): FieldUtil<DevopsNginxConfCU>;
    static get REMARK(): FieldUtil<DevopsNginxConfCU>;
    static get CREATE_TIME(): FieldUtil<DevopsNginxConfCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsNginxConfCU>;
    get ID(): FieldUtil<DevopsNginxConfCU>;
    get NAME(): FieldUtil<DevopsNginxConfCU>;
    get INIT_CONF_FILE(): FieldUtil<DevopsNginxConfCU>;
    get PROD_CONF_FILE(): FieldUtil<DevopsNginxConfCU>;
    get REMARK(): FieldUtil<DevopsNginxConfCU>;
    get CREATE_TIME(): FieldUtil<DevopsNginxConfCU>;
    get UPDATE_TIME(): FieldUtil<DevopsNginxConfCU>;
}
export { DevopsNginxConfMU, DevopsNginxConfCU };
